1. Midjourney
梧柏API使用文档
WHBAI · Midjourney
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Midjourney
    • 执行Action动作
      POST
    • 上传图片
      POST
    • 提交Imagine任务
      POST
    • 根据任务ID 查询任务状态
      GET
    • 根据ID列表查询任务
      POST
    • 获取任务图片的seed
      GET
    • 提交Blend任务
      POST
    • 提交Describe任务
      POST
    • 提交Modal
      POST
    • 提交 Shorten 任务
      POST
    • 提交 Change(Pan / Zoom)任务
      POST
    • 图像局部编辑(Edits)
      POST
    • 人脸替换(InsightFace Swap)
      POST
  • mj
    • 提交shorten 任务
      GET
    • 图生视频(增强版功能)
      POST
    • 文本指令变换(content)
      POST
  • 数据模型
    • MjSampleRequest
    • MjSampleResponse
    • PostMjSubmitImagineRequest
    • GetMjTaskFetchResponse
    • GetMjTaskIdImageSeedResponse
    • PostMjSubmitBlendRequest
    • PostMjSubmitBlendResponse
    • PostMjSubmitDescribeRequest
    • PostMjSubmitDescribeResponse
    • PostMjSubmitModalRequest
    • PostMjSubmitModalResponse
    • MjSubmitResponse
    • MjTask
    • PostMjTaskListByConditionResponse
    • PostMjSubmitShortenRequest
    • PostMjSubmitChangeRequest
    • PostMjSubmitEditsRequest
    • PostMjInsightFaceSwapRequest
    • NewApiError
  1. Midjourney

根据任务ID 查询任务状态

GET
/mj/task/{id}/fetch
查询 POST /mj/submit/imagine、/mj/submit/action 等提交的任务当前状态与结果;status 为 SUCCESS 时 imageUrl 有效,buttons 给出可执行的后续 Action(customId)。

网站中的模型与调用示例#

查询任务详情#

响应示例 · 成功-放大单图#

{
  "action": "UPSCALE",
  "botType": "",
  "buttons": [
    {
      "customId": "MJ::JOB::upsample_v6_2x_subtle::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "upscale_1",
      "label": "Upscale (Subtle)",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::upsample_v6_2x_creative::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "upscale_1",
      "label": "Upscale (Creative)",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::low_variation::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "🪄",
      "label": "Vary (Subtle)",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::high_variation::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "🪄",
      "label": "Vary (Strong)",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::Inpaint::1::6a2bfbf7e649004c97f55de4_1::SOLO",
      "emoji": "🖌️",
      "label": "Vary (Region)",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::Outpaint::50::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "🔍",
      "label": "Zoom Out 2x",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::Outpaint::75::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "🔍",
      "label": "Zoom Out 1.5x",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::CustomZoom::6a2bfbf7e649004c97f55de4::1",
      "emoji": "🔍",
      "label": "Custom Zoom",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::Outpaint::100::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "↕️",
      "label": "Make Square",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::Outpaint::100::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "↔️",
      "label": "Make Square",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::pan_right::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "⬅️",
      "label": "",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::pan_left::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "➡️",
      "label": "",
      "style": 2,
      "type": 2
    },
    {
      "customId": "MJ::JOB::pan_up::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "⬆️",
      "label": "",
      "style": 3,
      "type": 2
    },
    {
      "customId": "MJ::JOB::pan_down::1::6a2bfbf7e649004c97f55de4::SOLO",
      "emoji": "⬇️",
      "label": "",
      "style": 2,
      "type": 2
    }
  ],
  "customId": "",
  "description": "选图操作成功",
  "failReason": "",
  "finishTime": 1781267793391,
  "id": "1781267793254405",
  "imageUrl": "https://image2.midjourneycloud.com/cd503ca5-3258-4219-afd4-2cd9579f1962_0_0.png",
  "maskBase64": "",
  "progress": "100%",
  "prompt": "a cute orange cat sitting on a windowsill --ar 4:3 --v 6",
  "promptEn": "a cute orange cat sitting on a windowsill --ar 4:3 --v 6",
  "properties": {
    "finalPrompt": "a cute orange cat sitting on a windowsill --ar 4:3 --v 6 --stylize 100 --relax",
    "finalZhPrompt": ""
  },
  "startTime": 1781267793254,
  "state": "",
  "status": "SUCCESS",
  "submitTime": 1781267793327,
  "videoUrl": "",
  "videoUrls": null
}

响应示例 · 中间态-等待窗口确认(MODAL)#

{
  "action": "CUSTOM_ZOOM",
  "botType": "",
  "buttons": [],
  "customId": "",
  "description": "Waiting for window confirm",
  "failReason": "",
  "finishTime": 0,
  "id": "1781269845980900",
  "imageUrl": "",
  "maskBase64": "",
  "progress": "",
  "prompt": "a cute orange cat sitting on a windowsill --ar 4:3 --v 6",
  "promptEn": "a cute orange cat sitting on a windowsill --ar 4:3 --v 6",
  "properties": {
    "finalPrompt": "a cute orange cat sitting on a windowsill --ar 4:3 --v 6 --stylize 100 --relax",
    "finalZhPrompt": ""
  },
  "startTime": 0,
  "state": "",
  "status": "MODAL",
  "submitTime": 1781269846055,
  "videoUrl": "",
  "videoUrls": null
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Path 参数

Header 参数

Body 参数multipart/form-data

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location '/mj/task/1743326750223591/fetch' \
--header 'Authorization: Bearer <token>'

返回响应

🟢200成功
application/json
Bodyapplication/json

示例
{
    "id": "1730621826053455",
    "action": "IMAGINE",
    "customId": "",
    "botType": "",
    "prompt": "pig --v 6.1",
    "promptEn": "pig --v 6.1",
    "description": "Submit success",
    "state": "",
    "submitTime": 1730621826053,
    "startTime": 1730621828024,
    "finishTime": 1730621855817,
    "imageUrl": "https://cdnmjp.oneabc.org/attachments/1300842274347028520/1302547211321741343/kennedyhernandez46715_74108_pig_3785da15-4f70-4034-9128-f3ff1ac634fa.png?ex=6728831f&is=6727319f&hm=f6d701914d608e4da9298d2290b3616317264a70635fbf08a37ca6c1bb671b50&",
    "status": "SUCCESS",
    "progress": "100%",
    "failReason": "",
    "buttons": [
        {
            "customId": "MJ::JOB::upsample::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U1",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::upsample::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U2",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::upsample::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U3",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::upsample::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "U4",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::reroll::0::3785da15-4f70-4034-9128-f3ff1ac634fa::SOLO",
            "emoji": "🔄",
            "label": "",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::1::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V1",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::2::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V2",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::3::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V3",
            "type": 2,
            "style": 2
        },
        {
            "customId": "MJ::JOB::variation::4::3785da15-4f70-4034-9128-f3ff1ac634fa",
            "emoji": "",
            "label": "V4",
            "type": 2,
            "style": 2
        }
    ],
    "maskBase64": "",
    "properties": {
        "finalPrompt": "pig --v 6.1",
        "finalZhPrompt": ""
    }
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:12
上一页
提交Imagine任务
下一页
根据ID列表查询任务
Built with